# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Perl module to do numeric comparisons
Name:		perl-Number-Compare
Version:	0.03
Release:	19.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Number-Compare/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/Number-Compare-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(Test::More)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Number::Compare compiles a simple comparison to an anonymous subroutine,
which you can call with a value to be tested again.

Now this would be very pointless, if Number::Compare didn't understand
magnitudes.

The target value may use magnitudes of kilobytes (k, ki), megabytes (m, mi),
or gigabytes (g, gi). Those suffixed with an i use the appropriate 2**n
version in accordance with the IEC standard:
http://physics.nist.gov/cuu/Units/binary.html

%prep
%setup -q -n Number-Compare-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes
%{perl_vendorlib}/Number/
%{_mandir}/man3/Number::Compare.3*

%changelog
* Wed Apr 25 2018 Paul Howarth <paul@city-fan.org> - 0.03-19
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Wed Sep 14 2016 Paul Howarth <paul@city-fan.org> - 0.03-15
- Classify buildreqs by usage
- Simplify find command using -delete
- Drop %%defattr, redundant since rpm 4.4

* Sun Jun 10 2012 Paul Howarth <paul@city-fan.org> - 0.03-3
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Thu Sep 22 2011 Paul Howarth <paul@city-fan.org> - 0.03-1
- Update to 0.03
  - Generate a new tarball on linux; doing the C<make dist> on OSX generated a
    tarball that upset dumb tars:
    tar: Ignoring unknown extended header keyword `SCHILY.dev'
    tar: Ignoring unknown extended header keyword `SCHILY.ino'
    tar: Ignoring unknown extended header keyword `SCHILY.nlink'
- BR: perl(Carp)
- Revert workaround for OSX tarball

* Mon Sep 12 2011 Paul Howarth <paul@city-fan.org> - 0.02-1
- Update to 0.02
  - Apply warning-related fix (CPAN RT#58466)
- Drop upstreamed patch for CPAN RT#58466
- Work around problems unpacking OSX tarball on old distributions

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> - 0.01-17
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 0.01-9
- Rebuild for perl 5.12.1 in Rawhide
- Add patch for uninitialized value in comparison warning (CPAN RT#58466)

* Thu Jun  3 2010 Paul Howarth <paul@city-fan.org> - 0.01-8
- Fix dist tag for RHEL-6 Beta

* Mon Mar  1 2010 Paul Howarth <paul@city-fan.org> - 0.01-7
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Sep 22 2009 Paul Howarth <paul@city-fan.org> - 0.01-6
- Define RPM macros in global scope

* Wed Nov  5 2008 Paul Howarth <paul@city-fan.org> - 0.01-5
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- BuildRequire perl(Test::More)

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> - 0.01-4
- Fix dist tag for development releases and Fedora 7 onwards
- Remove %%{__perl_version} macro, used only once
- Remove %%{__perl_package} macro, used only twice
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Use search.cpan.org URLs
- BuildRequire perl(ExtUtils::MakeMaker)
- Define %%{__id_u} in a more portable way

* Wed Aug 17 2005 Paul Howarth <paul@city-fan.org> - 0.01-3
- Remove redundant macro definitions
- Remove redundant optimization flags for noarch package
- Fix directory ownership

* Tue May 31 2005 Paul Howarth <paul@city-fan.org> - 0.01-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> - 0.01-1
- Initial build
